Get delivery reports
curl --request GET \
--url https://dlrapi.beem.africa/public/v1/delivery-reports \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dlrapi.beem.africa/public/v1/delivery-reports"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dlrapi.beem.africa/public/v1/delivery-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"dest_addr": "255700000002",
"status": "PENDING",
"request_id": "31951"
}
]API Reference
Get delivery reports
Retrieve SMS delivery status for a sent message. Check delivery status at least 5 minutes after submitting an SMS to allow time for delivery updates from mobile network operators.
GET
/
public
/
v1
/
delivery-reports
Get delivery reports
Authorizations
basicAuthaccessToken
Beem API credentials: API key as username, API secret as password.
Query Parameters
Destination mobile number.
Example:
"255700000002"
Request ID returned in the Send SMS response.
Example:
"31951"
